Bug 991120 - "Stage" does not work in Deployment Lifecycle UI
"Stage" does not work in Deployment Lifecycle UI
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER1
: 6.0.0
Assigned To: Eric Wittmann
Stefan Bunciak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 12:52 EDT by kconner
Modified: 2014-02-06 10:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DTGOV-46 Major Closed "Stage" does not work in Deployment Lifecycle UI 2013-12-02 12:13:47 EST

  None (edit)
Description kconner 2013-08-01 12:52:18 EDT
The 'stage' features are largely broken in the UI. We should update the BPMN to make it easier for the UI to display interesting information about the lifecycle stage. In particular, I think we need a Property set on the artifact to indicate the coarse-grained deployment stage. This can be used in queries and when displaying the list of deployments.
Comment 1 Stefan Bunciak 2013-08-29 07:57:09 EDT
Verified in S-RAMP 6.0.0.ER1:

* Walked through whole deployment process specified in SimpleReleaseProcess, application was successsfully deployed to all specified stages
* Deployment stage is displayed in deployment details, more detailed ontolgy classifiers in s-ramp repository view
* Deploying a new version of an application causes undeployment of older version

Note You need to log in before you can comment on or make changes to this bug.